Workspace
Update help hub settings
PATCH
/workspaces/current/help-hubNeedsworkspace.settingsPartial: tabs merge one by one. Visitors get the change within a minute.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Request Body
application/json- body
enabled?booleanposition?stringValue in
"bottom-right""bottom-left"label?stringMatch
^[^\u0000-\u001f\u007f]+$Length
1 <= length <= 40accentColor?|nullbackgroundColor?|nulltextColor?|nulltabs?Response Body
OK
application/json- response
helpHub*defaults*Shell
curl -X PATCH 'https://app.cueston.com/api/workspaces/current/help-hub' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
JSON
{
"helpHub": {
"enabled": true,
"position": "bottom-right",
"label": "string",
"accentColor": "string",
"backgroundColor": "string",
"textColor": "string",
"tabs": {
"assistant": true,
"checklists": true,
"announcements": true,
"help": true
}
},
"defaults": {
"enabled": true,
"position": "bottom-right",
"label": "string",
"accentColor": "string",
"backgroundColor": "string",
"textColor": "string",
"tabs": {
"assistant": true,
"checklists": true,
"announcements": true,
"help": true
}
}
}